org.bouncycastle.jce.provider.test

## Class FIPSDESTest

- java.lang.Object
- - org.bouncycastle.jce.provider.test.FIPSDESTest

All Implemented Interfaces:
  Test

    public class FIPSDESTest
    extends java.lang.Object
    implements Test

basic FIPS test class for a block cipher, just to make sure ECB/CBC/OFB/CFB are behaving correctly. Tests from FIPS 81.

### Constructor Summary

Constructors
Constructor and Description
`FIPSDESTest()`

### Method Summary

Methods
`java.lang.String` `getName()`
`static void` `main(java.lang.String[] args)`
`TestResult` `perform()`
`TestResult` `test(java.lang.String algorithm, byte[] input, byte[] output)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FIPSDESTest

    public FIPSDESTest()

### Method Detail

#### getName

    public java.lang.String getName()

Specified by:
  `getName` in interface `Test`

#### test

    public TestResult test(java.lang.String algorithm,
                  byte[] input,
                  byte[] output)

#### perform

    public TestResult perform()

Specified by:
  `perform` in interface `Test`

#### main

    public static void main(java.lang.String[] args)
                     throws java.security.KeyException,
                            java.security.InvalidAlgorithmParameterException

Throws:
  `java.security.KeyException`
  `java.security.InvalidAlgorithmParameterException`